clang-tools 10.0.0

Namespaces | Functions
LexerUtils.cpp File Reference
`#include "LexerUtils.h"`
Include dependency graph for LexerUtils.cpp:

Go to the source code of this file.

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::tidy
| clang::tidy::utils
| clang::tidy::utils::lexer

## Functions
Token | clang::tidy::utils::lexer::getPreviousToken (SourceLocation Location, const SourceManager &SM, const LangOptions &LangOpts, bool SkipComments=true)
| Returns previous token or `tok::unknown` if not found. More...
SourceLocation | clang::tidy::utils::lexer::findPreviousTokenStart (SourceLocation Start, const SourceManager &SM, const LangOptions &LangOpts)
SourceLocation | clang::tidy::utils::lexer::findPreviousTokenKind (SourceLocation Start, const SourceManager &SM, const LangOptions &LangOpts, tok::TokenKind TK)
SourceLocation | clang::tidy::utils::lexer::findNextTerminator (SourceLocation Start, const SourceManager &SM, const LangOptions &LangOpts)
Optional< Token > | clang::tidy::utils::lexer::findNextTokenSkippingComments (SourceLocation Start, const SourceManager &SM, const LangOptions &LangOpts)
bool | clang::tidy::utils::lexer::rangeContainsExpansionsOrDirectives (SourceRange Range, const SourceManager &SM, const LangOptions &LangOpts)
| Re-lex the provide `Range` and return `false` if either a macro spans multiple tokens, a pre-processor directive or failure to retrieve the next token is found, otherwise `true`. More...
llvm::Optional< Token > | clang::tidy::utils::lexer::getQualifyingToken (tok::TokenKind TK, CharSourceRange Range, const ASTContext &Context, const SourceManager &SM)
| Assuming that `Range` spans a CVR-qualified type, returns the token in `Range` that is responsible for the qualification. More...